
Media Management - Bug # 47782

Status: Resolved Priority: Should have
Author: Lars no-lastname-given Category:
Created: 2013-05-01 Assigned To: Fabien Udriot
Updated: 2013-05-17 Due date:
Subject: Regenerated and indexed thumbnails of uploaded images
Description

After uploading an image with the media be-module, the list is refreshing and shows my new image twice: the orginal one and a
thumbnail.

After reload the list (reopen the media be-modile), the thumbnail will be regenerated > the list shows one more thumbnail after every
reload.

Tested with TYPO3 6.1 and latest master-branch of ext-media (with fluid namespaces patch)

Related issues:
related to Core - Bug # 47140: ProcessedFile/Thumbnail is always regenerated Resolved 2013-04-11
related to Core - Bug # 47211: ProcessedFile is persisted in sys_file as well Resolved 2013-04-14
related to Media Management - Task # 48047: Release Media 1.0.0 Resolved 2013-05-08

Associated revisions
Revision bbc40f22 - 2013-05-11 14:24 - Fabien Udriot

[BUGFIX] Avoid thumbnails to be stored into sys_file

This is a temporary fix of a Core bug #47211

Change-Id: I71aa6c56c110cbe23e7cefb529451565341afd65
Fixes: #47782
Reviewed-on: https://review.typo3.org/20673
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot

History
#1 - 2013-05-01 20:19 - Lars no-lastname-given

This issue happens because the listview shows the thumbnails and generates a new thumbnail. We have to exclude the thumbnails in listview-mode,
so the issue #47211 has to be fixed.

#2 - 2013-05-02 19:50 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#3 - 2013-05-02 20:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#4 - 2013-05-08 09:49 - Fabien Udriot
- Status changed from New to Accepted
- Assigned To set to Fabien Udriot
- Target version set to 1.0.0

Despite many attempts, I don't get feedback from FAL developers for now. I am planning to XCLASS (through the new Object Manager of 6.0) the
incriminated Core method for not blocking Media which is not usable in 6.1 and also became so in 6.0.5!

#5 - 2013-05-09 17:43 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20673

#6 - 2013-05-11 14:37 - Fabien Udriot
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bbc40f2239491b4fdbd306eeb78ec7343c113e97.

#7 - 2013-05-14 12:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#8 - 2013-05-14 16:29 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#9 - 2013-05-14 16:58 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#10 - 2013-05-14 17:01 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20437

#11 - 2013-05-17 16:57 - Gerrit Code Review
Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/20872

#12 - 2013-05-17 16:57 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/20872

#13 - 2013-05-17 16:59 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20873
